<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
		http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">
	<!-- <bean/> definitions here -->

	<bean id="exceptionHandlerFactory" class="gov.va.med.cds.ars.exceptionframework.ExceptionHandlerFactory">
		<property name="guaranteedLogger" ref="exceptionHandlerGuaranteedLogger" />
	</bean>

	<bean id="exceptionHandlerGuaranteedLogger" class="gov.va.med.cds.ars.exceptionframework.DefaultLogger"/>

	<bean id="exceptionHandler" factory-bean="exceptionHandlerFactory" factory-method="create" />

</beans>


